Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003690 [JEDI VCL] 00 JVCL Components feature always 2006-05-06 09:15 2006-06-07 03:51
Reporter ahesse View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003690: TJvOutlookBarPage: Support for properties - tag, name
Description Add properties tag and name to TJvOutlookBarPage, so it could be used the same way as a TComponent.

Please add following code to TJvOutlookBarPage:

...
private
  FName: string;
  FTag: integer;
  procedure SetName(const Value: string);
published
  property Name: string read FName write SetName;
  property Tag: integer read FTag write FTag;

...

procedure TJvOutlookBarPage.SetName(const Value: string);
begin
  if FName <> Value then begin
    FName := Value;
  end;
end;
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0009260)
obones (administrator)
2006-05-09 01:16

I'm not too sure about this. TJvOutlookBarPage is a TCollectionItem and I can't recall any collection item ever having a name or a tag. If we were to do this for this one, why not for the others?
(0009324)
ahesse (reporter)
2006-05-20 09:08

For me the OutlookBar is of Type Menu, but only contains one Level.
Menu's with Items.

I need an ID for every level (here: Page) to identify the object.
Normally I identify an object by name, sometimes with some extra information in the tag.

In the moment there is no property for this purpose.
So I add name and tag and can use it without knowing the type of the object.
(0009328)
obones (administrator)
2006-05-21 03:51

Ok, I understand it better. Adding Name and/or Tag is not desirable, the common and recommended way to do this is to use a linked object, through the LinkedObject property. I propose to add this property.
(0009330)
ahesse (reporter)
2006-05-21 08:33

Not really.
I create Menu's with an abstract factory pattern, partly based on property names.

So here is the structure comparing for menus:

dock panel
-toolbar
 -toolbutton

outlook bar
-page
 -button

menubar
-menu
 -menuitem

All those structures are created dynamically from the same configuration file, based on needings of the application.

If the feature is not possible than I have to maintain my source code changes.

The basic problem with all TCollectionItems is and was how to identify the object.
(0009331)
obones (administrator)
2006-05-21 09:10

The feature is definitely possible, but via a linked object:

(OutlookPage.LinkedObject as TWhateverClassYouNeed).Name := PageName

This "linked object" approach is much more consistent with the rest of the JVCL and allows for greater flexibility.
(0009407)
obones (administrator)
2006-06-07 03:50

The LinkedObject property has been added to the TJvOutlookBarPage class

- Issue History
Date Modified Username Field Change
2006-05-06 09:15 ahesse New Issue
2006-05-08 02:24 obones Status new => acknowledged
2006-05-09 01:16 obones Note Added: 0009260
2006-05-09 01:16 obones Status acknowledged => feedback
2006-05-20 09:08 ahesse Note Added: 0009324
2006-05-21 03:51 obones Note Added: 0009328
2006-05-21 08:33 ahesse Note Added: 0009330
2006-05-21 09:10 obones Note Added: 0009331
2006-06-07 03:50 obones Status feedback => resolved
2006-06-07 03:50 obones Resolution open => fixed
2006-06-07 03:50 obones Assigned To => obones
2006-06-07 03:50 obones Note Added: 0009407


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker